com.thinkaurelius.titan.diskstorage.indexing

## Class IndexEntry

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.indexing.IndexEntry

- All Implemented Interfaces:
    MetaAnnotatable, MetaAnnotated

      public class IndexEntry
      extends Object
      implements MetaAnnotated, MetaAnnotatable

  An index entry is a key-value pair (or field-value pair).
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `field`
    `Object` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexEntry(String field, Object value)`
    `IndexEntry(String field, Object value, Map<EntryMetaData,Object> metadata)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<EntryMetaData,Object>` | `getMetaData()` Returns all meta data associated with this entry
    `boolean` | `hasMetaData()` Returns true if this entry has associated meta data
    `Object` | `setMetaData(EntryMetaData key, Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field

          public final String field

    - #### value

          public final Object value

  - ### Constructor Detail

    - #### IndexEntry

          public IndexEntry(String field,
                    Object value)

    - #### IndexEntry

          public IndexEntry(String field,
                    Object value,
                    Map<EntryMetaData,Object> metadata)

  - ### Method Detail

    - #### setMetaData

          public Object setMetaData(EntryMetaData key,
                           Object value)

      Specified by:
        `setMetaData` in interface `MetaAnnotatable`

    - #### hasMetaData

          public boolean hasMetaData()

      Description copied from interface: `MetaAnnotated`
      Returns true if this entry has associated meta data
      Specified by:
        `hasMetaData` in interface `MetaAnnotated`
      Returns:

    - #### getMetaData

          public Map<EntryMetaData,Object> getMetaData()

      Description copied from interface: `MetaAnnotated`
      Returns all meta data associated with this entry
      Specified by:
        `getMetaData` in interface `MetaAnnotated`
      Returns:

Copyright © 2012–2014. All rights reserved.